<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width, initial-scale=1" />


<meta name="renderer" content="webkit" />
<meta name="force-rendering" content="webkit"/>

<meta name="applicable-device" content="pc,mobile" />
<meta name="MobileOptimized" content="width" />
<meta name="HandheldFriendly" content="true" />
<meta http-equiv="Cache-Control" content="no-transform" />
<meta http-equiv="Cache-Control" content="no-siteapp" />

<meta name="format-detection" content="telephone=no" />

<link rel="shortcut icon" href="/favicon.ico?v=1.0.0" />
<link href="/websrc/style/common.css" rel="stylesheet" />
<title>新宝库 - 分享与发现</title>
<meta name="keywords" content="开发者,程序员,编程,代码,分享,发现,探索" />
<meta name="description" content="新宝库致力于分享与发现一切美好的事物，专注于探索互联网世界的宝库。" />
<style type="text/css">
#arc-list{
	margin-top: 15px;
}
#arc-list dd span, #arc-list dd a{
	color: #444;
}
@media all and (max-width: 769px){
	.sub-type{
		margin-top: 10px;
	}
}
</style>
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = ['htt','ps://','hm.','bai','du','.c','om','/hm.','js?','d832883a','b789ba69','8e77e613','03a81792'].join('');
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
</head>
<body>

<div id="header" class="clearfix">
	<a id="logo" class="left" href="/">
		<img height="26" src="/websrc/images/logo.png?v=1.0.0" alt="新宝库">
	</a>
	<ul id="nav-main" class="hover-none left clearfix">
        <li><a href="/swing/">Swing教程</a></li>
		<li><a href="/js/">JavaScript教程</a></li>
		<li><a href="/golang/">Go语言教程</a></li>
		<li><a href="/python/">Python教程</a></li>
		<li><a href="/sitemap/" title="网站地图">全部&gt;&gt;</a></li>
	</ul>
	<span id="sidebar-toggle" class="toggle-btn" toggle-target="#sidebar">目录 <span class="glyphicon"></span></span>
</div>
<div id="main-no-course">
	<div id="all-course" class="box-bottom">
		<h4>所有教程</h4>
		<ul class="clearfix">
			
			<li><a href="/c/">C语言入门</a></li>
			
			<li><a href="/compiler/">C语言编译器</a></li>
			
			<li><a href="/c/practice/">C语言项目案例</a></li>
			
			<li><a href="/data_structure/">数据结构</a></li>
			
			<li><a href="/cplus/">C++</a></li>
			
			<li><a href="/stl/">STL</a></li>
			
			<li><a href="/cplus/11/">C++11</a></li>
			
			<li><a href="/socket/">socket</a></li>
			
			<li><a href="/gcc/">GCC</a></li>
			
			<li><a href="/gdb/">GDB</a></li>
			
			<li><a href="/makefile/">Makefile</a></li>
			
			<li><a href="/opencv/">OpenCV</a></li>
			
			<li><a href="/qt/">Qt教程</a></li>
			
			<li><a href="/unity3d/">Unity 3D</a></li>
			
			<li><a href="/ue4/">UE4</a></li>
			
			<li><a href="/game_engine/">游戏引擎</a></li>
			
			<li><a href="/python/">Python</a></li>
			
			<li><a href="/python/thread/">Python并发编程</a></li>
			
			<li><a href="/tensorflow/">TensorFlow</a></li>
			
			<li><a href="/django/">Django</a></li>
			
			<li><a href="/python/numpy/">NumPy</a></li>
			
			<li><a href="/linux_tutorial/">Linux</a></li>
			
			<li><a href="/shell/">Shell</a></li>
			
			<li><a href="/java/">Java教程</a></li>
			
			<li><a href="/design_pattern/">设计模式</a></li>
			
			<li><a href="/swing/">Java Swing</a></li>
			
			<li><a href="/servlet/">Servlet</a></li>
			
			<li><a href="/jsp/">JSP教程</a></li>
			
			<li><a href="/struts2/">Struts2</a></li>
			
			<li><a href="/maven/">Maven</a></li>
			
			<li><a href="/spring/">Spring</a></li>
			
			<li><a href="/spring_mvc/">Spring MVC</a></li>
			
			<li><a href="/spring_boot/">Spring Boot</a></li>
			
			<li><a href="/spring_cloud/">Spring Cloud</a></li>
			
			<li><a href="/hibernate/">Hibernate</a></li>
			
			<li><a href="/mybatis/">Mybatis</a></li>
			
			<li><a href="/mysql/">MySQL教程</a></li>
			
			<li><a href="/mysql/function/">MySQL函数</a></li>
			
			<li><a href="/nosql/">NoSQL</a></li>
			
			<li><a href="/redis/">Redis</a></li>
			
			<li><a href="/mongodb/">MongoDB</a></li>
			
			<li><a href="/hbase/">HBase</a></li>
			
			<li><a href="/golang/">Go语言</a></li>
			
			<li><a href="/csharp/">C#</a></li>
			
			<li><a href="/matlab/">MATLAB</a></li>
			
			<li><a href="/js/">JavaScript</a></li>
			
			<li><a href="/bootstrap/">Bootstrap</a></li>
			
			<li><a href="/html/">HTML</a></li>
			
			<li><a href="/css/">CSS教程</a></li>
			
			<li><a href="/php/">PHP</a></li>
			
			<li><a href="/asm/">汇编语言</a></li>
			
			<li><a href="/tcp_ip/">TCP/IP</a></li>
			
			<li><a href="/vi/">vi命令</a></li>
			
			<li><a href="/android/">Android教程</a></li>
			
			<li><a href="/blockchain/">区块链</a></li>
			
			<li><a href="/docker/">Docker</a></li>
			
			<li><a href="/big_data/">大数据</a></li>
			
			<li><a href="/cloud_computing/">云计算</a></li>
			
		</ul>
	</div>


	<dl id="arc-list">
		<dt>部分文章</dt>
			<dd >
				<span>1.</span>
				<a href="/archive/O7AsPIzG.html" title="Java生成随机数（random()和Random类）">Java生成随机数（random()和Random类）</a></dd>
<dd class="bg-f7f7f7">
				<span>2.</span>
				<a href="/archive/Bea3a1aN.html" title="什么是线性表（线性存储结构）">什么是线性表（线性存储结构）</a></dd>
<dd >
				<span>3.</span>
				<a href="/archive/Bdt4Fqc3.html" title="Python print()函数高级用法">Python print()函数高级用法</a></dd>
<dd class="bg-f7f7f7">
				<span>4.</span>
				<a href="/archive/2Ac9aEIv.html" title="外观模式（Facade模式）详解">外观模式（Facade模式）详解</a></dd>
<dd >
				<span>5.</span>
				<a href="/archive/w9c8aBIy.html" title="装饰模式（装饰设计模式）详解">装饰模式（装饰设计模式）详解</a></dd>
<dd class="bg-f7f7f7">
				<span>6.</span>
				<a href="/archive/zbcKaDIL.html" title="桥接模式（Bridge模式）详解">桥接模式（Bridge模式）详解</a></dd>
<dd >
				<span>7.</span>
				<a href="/archive/6bcLadHA.html" title="建造者模式（Bulider模式）详解">建造者模式（Bulider模式）详解</a></dd>
<dd class="bg-f7f7f7">
				<span>8.</span>
				<a href="/archive/8ycEa2tz.html" title="原型模式（原型设计模式）详解">原型模式（原型设计模式）详解</a></dd>
<dd >
				<span>9.</span>
				<a href="/archive/K6ceazaw.html" title="单例模式（单例设计模式）详解">单例模式（单例设计模式）详解</a></dd>
<dd class="bg-f7f7f7">
				<span>10.</span>
				<a href="/archive/EAFrsDsz.html" title="C#接口中多态的实现">C#接口中多态的实现</a></dd>
<dd >
				<span>11.</span>
				<a href="/archive/q0c7aba5.html" title="迪米特法则——面向对象设计原则">迪米特法则——面向对象设计原则</a></dd>
<dd class="bg-f7f7f7">
				<span>12.</span>
				<a href="/archive/39c2aba5.html" title="接口隔离原则——面向对象设计原则">接口隔离原则——面向对象设计原则</a></dd>
<dd >
				<span>13.</span>
				<a href="/archive/zwsbHBc4.html" title="使用单一职责原则解决实际问题">使用单一职责原则解决实际问题</a></dd>
<dd class="bg-f7f7f7">
				<span>14.</span>
				<a href="/archive/5McDtxcN.html" title="行为型模式应用实验">行为型模式应用实验</a></dd>
<dd >
				<span>15.</span>
				<a href="/archive/zbc7t2C5.html" title="结构型模式应用实验">结构型模式应用实验</a></dd>
<dd class="bg-f7f7f7">
				<span>16.</span>
				<a href="/archive/6bcxt0C4.html" title="创建型模式应用实验">创建型模式应用实验</a></dd>
<dd >
				<span>17.</span>
				<a href="/archive/L6cqt0C4.html" title="UMLet的使用与类图的设计">UMLet的使用与类图的设计</a></dd>
<dd class="bg-f7f7f7">
				<span>18.</span>
				<a href="/archive/NesNHqC8.html" title="使用依赖倒置原则解决实际问题">使用依赖倒置原则解决实际问题</a></dd>
<dd >
				<span>19.</span>
				<a href="/archive/B6c3a0F6.html" title="依赖倒置原则——面向对象设计原则">依赖倒置原则——面向对象设计原则</a></dd>
<dd class="bg-f7f7f7">
				<span>20.</span>
				<a href="/archive/L6c5arFy.html" title="里氏替换原则——面向对象设计原则">里氏替换原则——面向对象设计原则</a></dd>
<dd >
				<span>21.</span>
				<a href="/archive/q0c7a6Fw.html" title="开闭原则——面向对象设计原则">开闭原则——面向对象设计原则</a></dd>
<dd class="bg-f7f7f7">
				<span>22.</span>
				<a href="/archive/A3sxaNuD.html" title="单例模式在JDK和Spring源码中的应用">单例模式在JDK和Spring源码中的应用</a></dd>
<dd >
				<span>23.</span>
				<a href="/archive/E8sqHwC7.html" title="如何正确使用设计模式？">如何正确使用设计模式？</a></dd>
<dd class="bg-f7f7f7">
				<span>24.</span>
				<a href="/archive/rqs2HLC4.html" title="一句话总结软件设计七大原则">一句话总结软件设计七大原则</a></dd>
<dd >
				<span>25.</span>
				<a href="/archive/L6c5a1ax.html" title="合成复用原则——面向对象设计原则">合成复用原则——面向对象设计原则</a></dd>
<dd class="bg-f7f7f7">
				<span>26.</span>
				<a href="/archive/M4sPt6s2.html" title="责任链模式在JDK源码中的应用">责任链模式在JDK源码中的应用</a></dd>
<dd >
				<span>27.</span>
				<a href="/archive/8DFetdcD.html" title="MySQL修改数据库：ALTER DATABASE用法简介">MySQL修改数据库：ALTER DATABASE用法简介</a></dd>
<dd class="bg-f7f7f7">
				<span>28.</span>
				<a href="/archive/1KsdHxCy.html" title="解释器模式在JDK和Spring源码中的应用">解释器模式在JDK和Spring源码中的应用</a></dd>
<dd >
				<span>29.</span>
				<a href="/archive/bws9t4fM.html" title="访问者模式的伪动态双分派">访问者模式的伪动态双分派</a></dd>
<dd class="bg-f7f7f7">
				<span>30.</span>
				<a href="/archive/KdswHqC4.html" title="访问者模式在Spring源码中的应用">访问者模式在Spring源码中的应用</a></dd>
<dd >
				<span>31.</span>
				<a href="/archive/ErcLaNf7.html" title="访问者模式（Visitor模式）详解">访问者模式（Visitor模式）详解</a></dd>
<dd class="bg-f7f7f7">
				<span>32.</span>
				<a href="/archive/7Dc4tyCr.html" title="备忘录模式（详解版）">备忘录模式（详解版）</a></dd>
<dd >
				<span>33.</span>
				<a href="/archive/dxsyH7Cv.html" title="使用备忘录模式实现草稿箱功能">使用备忘录模式实现草稿箱功能</a></dd>
<dd class="bg-f7f7f7">
				<span>34.</span>
				<a href="/archive/zwsbH2Cy.html" title="访问者模式在JDK源码中的应用">访问者模式在JDK源码中的应用</a></dd>
<dd >
				<span>35.</span>
				<a href="/archive/39c9tEC1.html" title="解释器模式（详解版）">解释器模式（详解版）</a></dd>
<dd class="bg-f7f7f7">
				<span>36.</span>
				<a href="/archive/M4sPtzfe.html" title="迭代器模式在MyBatis源码中的应用">迭代器模式在MyBatis源码中的应用</a></dd>
<dd >
				<span>37.</span>
				<a href="/archive/Bqs9CrCx.html" title="Django表单系统工作原理详述">Django表单系统工作原理详述</a></dd>
<dd class="bg-f7f7f7">
				<span>38.</span>
				<a href="/archive/vBsrt6f6.html" title="迭代器模式在JDK源码中的应用">迭代器模式在JDK源码中的应用</a></dd>
<dd >
				<span>39.</span>
				<a href="/archive/2eFrFEIv.html" title="C++三种继承方式">C++三种继承方式</a></dd>
<dd class="bg-f7f7f7">
				<span>40.</span>
				<a href="/archive/1ecPaefy.html" title="迭代器模式（详解版）">迭代器模式（详解版）</a></dd>
<dd >
				<span>41.</span>
				<a href="/archive/9vsAtefv.html" title="中介者模式在JDK源码中的应用">中介者模式在JDK源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>42.</span>
				<a href="/archive/w9c8aLfB.html" title="中介者模式（详解版）">中介者模式（详解版）</a></dd>
<dd >
				<span>43.</span>
				<a href="/archive/e4sbtDfD.html" title="基于Java API实现通知机制">基于Java API实现通知机制</a></dd>
<dd class="bg-f7f7f7">
				<span>44.</span>
				<a href="/archive/Erc5fNfN.html" title="C语言指针变量的定义和使用（精华）">C语言指针变量的定义和使用（精华）</a></dd>
<dd >
				<span>45.</span>
				<a href="/archive/6bcLaNfd.html" title="观察者模式（Observer模式）详解">观察者模式（Observer模式）详解</a></dd>
<dd class="bg-f7f7f7">
				<span>46.</span>
				<a href="/archive/xzsKtef7.html" title="使用状态机（Spring Statemachine）实现订单状态流转控制">使用状态机（Spring Statemachine）实现订单状态流转控制</a></dd>
<dd >
				<span>47.</span>
				<a href="/archive/ErcLaDsq.html" title="状态模式（详解版）">状态模式（详解版）</a></dd>
<dd class="bg-f7f7f7">
				<span>48.</span>
				<a href="/archive/4xs9tMfr.html" title="状态模式在JSF源码中的应用">状态模式在JSF源码中的应用</a></dd>
<dd >
				<span>49.</span>
				<a href="/archive/rqsrtrf6.html" title="使用状态模式自由切换登录状态">使用状态模式自由切换登录状态</a></dd>
<dd class="bg-f7f7f7">
				<span>50.</span>
				<a href="/archive/9vsAt9sM.html" title="使用责任链模式实现热插拔权限控制">使用责任链模式实现热插拔权限控制</a></dd>
<dd >
				<span>51.</span>
				<a href="/archive/vBsrtwsL.html" title="责任链模式和建造者模式结合使用">责任链模式和建造者模式结合使用</a></dd>
<dd class="bg-f7f7f7">
				<span>52.</span>
				<a href="/archive/K6cea5sy.html" title="责任链模式（职责链模式）详解">责任链模式（职责链模式）详解</a></dd>
<dd >
				<span>53.</span>
				<a href="/archive/A3s7tMs2.html" title="命令模式在框架（JDK和JUnit）源码中的应用">命令模式在框架（JDK和JUnit）源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>54.</span>
				<a href="/archive/B6c3awsP.html" title="命令模式（详解版）">命令模式（详解版）</a></dd>
<dd >
				<span>55.</span>
				<a href="/archive/e4sbtvsx.html" title="使用命令模式实现播放器功能">使用命令模式实现播放器功能</a></dd>
<dd class="bg-f7f7f7">
				<span>56.</span>
				<a href="/archive/4xs9tKsL.html" title="策略模式在Spring源码中的应用">策略模式在Spring源码中的应用</a></dd>
<dd >
				<span>57.</span>
				<a href="/archive/8DFyC0HD.html" title="C语言fopen函数的用法，C语言打开文件详解">C语言fopen函数的用法，C语言打开文件详解</a></dd>
<dd class="bg-f7f7f7">
				<span>58.</span>
				<a href="/archive/2Ac9a9uE.html" title="策略模式（策略设计模式）详解">策略模式（策略设计模式）详解</a></dd>
<dd >
				<span>59.</span>
				<a href="/archive/xzsKtKs2.html" title="策略模式在JDK源码中的应用">策略模式在JDK源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>60.</span>
				<a href="/archive/rqsrtds5.html" title="使用策略模式实现电商多种促销优惠方案选择">使用策略模式实现电商多种促销优惠方案选择</a></dd>
<dd >
				<span>61.</span>
				<a href="/archive/NesPtws0.html" title="使用策略模式实现支付方式选择场景">使用策略模式实现支付方式选择场景</a></dd>
<dd class="bg-f7f7f7">
				<span>62.</span>
				<a href="/archive/vLI7IwsL.html" title="C++ array(STL array)容器用法详解">C++ array(STL array)容器用法详解</a></dd>
<dd >
				<span>63.</span>
				<a href="/archive/decea4uB.html" title="模板方法模式（模板方法设计模式）详解">模板方法模式（模板方法设计模式）详解</a></dd>
<dd class="bg-f7f7f7">
				<span>64.</span>
				<a href="/archive/9vsAtxud.html" title="使用模板方法模式重构JDBC业务操作">使用模板方法模式重构JDBC业务操作</a></dd>
<dd >
				<span>65.</span>
				<a href="/archive/E8s0tDsy.html" title="模板方法模式在MyBatis源码中的应用">模板方法模式在MyBatis源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>66.</span>
				<a href="/archive/vip_KKu2CLHy.html" title="Java项目实战：校验文件名和邮箱地址">Java项目实战：校验文件名和邮箱地址</a></dd>
<dd >
				<span>67.</span>
				<a href="/archive/KKuwH1c4.html" title="Django ORM进阶之项目实战">Django ORM进阶之项目实战</a></dd>
<dd class="bg-f7f7f7">
				<span>68.</span>
				<a href="/archive/vBsrtBuw.html" title="模板方法模式在Servlet中的应用">模板方法模式在Servlet中的应用</a></dd>
<dd >
				<span>69.</span>
				<a href="/archive/A3s7tNuw.html" title="使用模板模式实现课程基本流程">使用模板模式实现课程基本流程</a></dd>
<dd class="bg-f7f7f7">
				<span>70.</span>
				<a href="/archive/E0uqHDsy.html" title="Django模板过滤器用法详解">Django模板过滤器用法详解</a></dd>
<dd >
				<span>71.</span>
				<a href="/archive/NEuruEH7.html" title="Django Admin优化后台展示">Django Admin优化后台展示</a></dd>
<dd class="bg-f7f7f7">
				<span>72.</span>
				<a href="/archive/2wsyCbt0.html" title="Django实现邮件的发送（含源码）">Django实现邮件的发送（含源码）</a></dd>
<dd >
				<span>73.</span>
				<a href="/archive/4xs9twu3.html" title="组合模式在JDK源码中的应用">组合模式在JDK源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>74.</span>
				<a href="/archive/zbcKaNu8.html" title="组合模式（详解版）">组合模式（详解版）</a></dd>
<dd >
				<span>75.</span>
				<a href="/archive/e4sbt1uP.html" title="组合模式在MyBatis源码中的应用">组合模式在MyBatis源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>76.</span>
				<a href="/archive/3AFKCrFz.html" title="C语言函数指针（指向函数的指针）详解">C语言函数指针（指向函数的指针）详解</a></dd>
<dd >
				<span>77.</span>
				<a href="/archive/xzsKtMuB.html" title="使用安全组合模式实现无限级文件系统">使用安全组合模式实现无限级文件系统</a></dd>
<dd class="bg-f7f7f7">
				<span>78.</span>
				<a href="/archive/NesPt4u7.html" title="使用透明组合模式实现课程目录结构">使用透明组合模式实现课程目录结构</a></dd>
<dd >
				<span>79.</span>
				<a href="/archive/BxFecvfP.html" title="Python运算符优先级和结合性一览表">Python运算符优先级和结合性一览表</a></dd>
<dd class="bg-f7f7f7">
				<span>80.</span>
				<a href="/archive/B6c3axu0.html" title="享元模式（详解版）">享元模式（详解版）</a></dd>
<dd >
				<span>81.</span>
				<a href="/archive/rqsrtMue.html" title="Integer中的享元模式">Integer中的享元模式</a></dd>
<dd class="bg-f7f7f7">
				<span>82.</span>
				<a href="/archive/E8s0tEuN.html" title="String中的享元模式">String中的享元模式</a></dd>
<dd >
				<span>83.</span>
				<a href="/archive/A3s7tKID.html" title="使用享元模式实现资源共享池">使用享元模式实现资源共享池</a></dd>
<dd class="bg-f7f7f7">
				<span>84.</span>
				<a href="/archive/9vsAt6ID.html" title="使用享元模式实现数据库连接池">使用享元模式实现数据库连接池</a></dd>
<dd >
				<span>85.</span>
				<a href="/archive/4xs9tdI0.html" title="装饰器模式和代理模式的区别">装饰器模式和代理模式的区别</a></dd>
<dd class="bg-f7f7f7">
				<span>86.</span>
				<a href="/archive/NesPtPIz.html" title="装饰器模式在Spring源码中的应用">装饰器模式在Spring源码中的应用</a></dd>
<dd >
				<span>87.</span>
				<a href="/archive/e4sbtAI4.html" title="使用外观模式整合调用已知API">使用外观模式整合调用已知API</a></dd>
<dd class="bg-f7f7f7">
				<span>88.</span>
				<a href="/archive/xzsKt2IP.html" title="什么才是优秀的软件架构？">什么才是优秀的软件架构？</a></dd>
<dd >
				<span>89.</span>
				<a href="/archive/rqsrtKIK.html" title="装饰器模式在JDK源码中的应用">装饰器模式在JDK源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>90.</span>
				<a href="/archive/E8s0txIz.html" title="一句话归纳设计模式">一句话归纳设计模式</a></dd>
<dd >
				<span>91.</span>
				<a href="/archive/2wsLtEI1.html" title="使用装饰器模式解决煎饼“加码”问题">使用装饰器模式解决煎饼“加码”问题</a></dd>
<dd class="bg-f7f7f7">
				<span>92.</span>
				<a href="/archive/Gy1uKuDG.html" title="Java算术运算符">Java算术运算符</a></dd>
<dd >
				<span>93.</span>
				<a href="/archive/1Ks6tNIP.html" title="桥接模式在JDBC源码中的应用">桥接模式在JDBC源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>94.</span>
				<a href="/archive/e4sbtPHy.html" title="使用桥接模式设计复杂消息系统">使用桥接模式设计复杂消息系统</a></dd>
<dd >
				<span>95.</span>
				<a href="/archive/8ycEaeI3.html" title="适配器模式（Adapter模式）详解">适配器模式（Adapter模式）详解</a></dd>
<dd class="bg-f7f7f7">
				<span>96.</span>
				<a href="/archive/4xs9teaB.html" title="使用类适配器重构第三方登录自由适配">使用类适配器重构第三方登录自由适配</a></dd>
<dd >
				<span>97.</span>
				<a href="/archive/xzsKtytK.html" title="适配器模式在Spring源码中的应用">适配器模式在Spring源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>98.</span>
				<a href="/archive/OvBsDHLJ.html" title="Java StringBuffer类详解">Java StringBuffer类详解</a></dd>
<dd >
				<span>99.</span>
				<a href="/archive/E8s0tMab.html" title="代理模式在MyBatis源码中的应用">代理模式在MyBatis源码中的应用</a></dd>
<dd class="bg-f7f7f7">
				<span>100.</span>
				<a href="/archive/KyFrF9F6.html" title="Python（for和while）循环嵌套及用法">Python（for和while）循环嵌套及用法</a></dd>

	</dt>
</div>






<script src="/websrc/script/jquery1.12.4.min.js"></script>
<script src="/websrc/script/common.js"></script>
<script src="/websrc/script/addcode.js"></script>

</body>
</html>